Bug 836811 - [abrt] numpy-f2py-1.6.2-1.fc17: f2py2e.py:383:run_main:TypeError: All blocks must be python module blocks but got 'program'
[abrt] numpy-f2py-1.6.2-1.fc17: f2py2e.py:383:run_main:TypeError: All blocks ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
http://projects.scipy.org/numpy/ticke...
abrt_hash:d9a592bb65397626f7b76292b28...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 11:54 EDT by Rob
Modified: 2013-08-01 13:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.86 KB, text/plain)
2012-07-01 11:54 EDT, Rob
no flags Details
Minimal failure case (165 bytes, text/x-fortran)
2012-07-07 13:30 EDT, Rob
no flags Details
fortUtil3.f90 that does compile (162 bytes, text/x-fortran)
2012-07-07 13:31 EDT, Rob
no flags Details

  None (edit)
Description Rob 2012-07-01 11:54:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/f2py --quiet -c -m fortUtil fortUtil.f90
comment:        Compiling a set of fortran subroutines/functions into a python module. First time i tried it with this set of compiler/python/numpy versions but code does work on other machines
executable:     /usr/bin/f2py
kernel:         3.4.3-1.fc17.x86_64
time:           Sun 01 Jul 2012 04:46:55 PM BST
uid:            1000

backtrace:      Text file, 10098 bytes
Comment 1 Rob 2012-07-01 11:54:44 EDT
Created attachment 595542 [details]
File: backtrace
Comment 2 Orion Poplawski 2012-07-06 15:24:50 EDT
Please attach fortUtil.f90
Comment 3 Rob 2012-07-07 13:30:35 EDT
Created attachment 596789 [details]
Minimal failure case

Well i'm confused, fortUtil2.f90 is a minimal version of the code that crashes, this was made by doing a cp on the origanl then removing as much code as possible to still trigger the error, while fortUtil3.f90 is a copy but this time from copying the code while inside a text editor. fortUtil2 doesnt compile but fortUtil3 does. I'm thinking maybe some sort of file coruption? 

Command used was f2py -c -m test fortUtil2.f90
Comment 4 Rob 2012-07-07 13:31:27 EDT
Created attachment 596790 [details]
fortUtil3.f90 that does compile
Comment 5 Orion Poplawski 2012-07-09 12:07:09 EDT
$ file fortUtil*
fortUtil2.f90: UTF-8 Unicode (with BOM) text
fortUtil3.f90: ASCII text

$ diff fortUtil*
1c1
< SUBROUTINE as(n,y)
---
> SUBROUTINE as(n,y)

So looks like a UTF-8 issue.
Comment 6 Orion Poplawski 2012-07-09 12:14:43 EDT
Filed upstream.  See URL.
Comment 7 Rob 2012-07-11 06:08:20 EDT
Thanks
Comment 8 Fedora End Of Life 2013-07-04 02:13:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:44:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.